1. Social publishing
Highperformr API
  • Introduction
  • Contacts
    • Bulk fetch contacts by IDs
      POST
    • Get contacts by segment
      POST
    • Get contact by ID
      GET
    • Update contact
      PATCH
    • Delete contact
      DELETE
    • Upsert contact into a source
      POST
    • Bulk upsert contacts for source
      POST
    • Unique values of one field for a filtered contact set
      POST
    • Unified Data API - async contact enrichment
      POST
  • Schema
    • Get contact schema
      GET
    • Get discovery search contact schema
      GET
    • Get discovery search company schema
      GET
    • Get options for field
      GET
    • Get discovery search options for field
      GET
  • Discovery search
    • Find contacts v2
      POST
    • Find companies v2
      POST
  • Jobs
    • Get job status by id
      GET
  • Social publishing
    • Create draft post
      POST
    • List posts (drafts, scheduled, published)
      POST
    • Schedule or publish posts (bulk)
      POST
    • Schedule a LinkedIn comment on an external post
      POST
    • Configure cross-account auto-repost
      POST
    • Upload media file (multipart)
      POST
    • Assemble chunked uploads into one file
      POST
    • Import media from a public URL
      POST
  • Integrations (social)
    • List social integrations (filter)
Login
  1. Social publishing

Schedule or publish posts (bulk)

POST
/v1/posts/bulk-schedule
For each entry, schedules one publish per schedules[] row: postId, providerId, scheduledTime (ISO-8601), optional automation (e.g. Twitter thread delay).
providerId values must be integration **id**s from POST /api/integrations/filter-integrations.
This is the primary API to set publish time after a draft exists. Fail-fast returns 400 if scheduling validation fails.

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
All schedules applied
Bodyapplication/json

🟠400
🟠401
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://app.highperformr.ai/api/v1/posts/bulk-schedule' \
--header 'x-api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "posts": [
        {
            "postId": "AYG7R0Vz134CcPlEr27R",
            "schedules": [
                {
                    "providerId": "mQQqMeclDHmvr40TbhIU",
                    "scheduledTime": "2024-02-16T04:28:37.695Z",
                    "automation": {
                        "threadDelay": {
                            "enabled": true,
                            "scheduleInSecs": 10
                        }
                    }
                }
            ]
        }
    ]
}'
Response Response Example
200 - Example 1
{
    "message": "Posts scheduled successfully"
}
Modified at 2026-04-22 07:54:17
Previous
List posts (drafts, scheduled, published)
Next
Schedule a LinkedIn comment on an external post
Built with